<?php

namespace Drupal\transform_api\Exception;

use Symfony\Component\HttpFoundation\Response;
use Throwable;

class ResponseTransformationException extends TransformationException {

  protected Response $response;

  public function __construct(Response $response, string $message = "", ?Throwable $previous = NULL) {
    $this->response = $response;
    parent::__construct($message, $response->getStatusCode(), $previous);
  }

  /**
   * @return \Symfony\Component\HttpFoundation\Response
   */
  public function getResponse(): Response {
    return $this->response;
  }

}
