<?php

namespace Drupal\transform_api\Plugin\Transform\Field;

use Drupal\Core\Field\FieldItemInterface;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\transform_api\FieldTransformBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * @FieldTransform(
 *  id = "address_dawa",
 *  label = @Translation("Address DAWA"),
 *  field_types = {
 *    "address_dawa"
 *  }
 * )
 */
class AddressDawaTransform extends FieldTransformBase {

  public function transformElements(FieldItemListInterface $items, $langcode) {
    $values = [];
    /** @var FieldItemInterface $item */
    foreach ($items as $delta => $item) {
      $result = $item->getValue();
      unset($result['data']);
      $values[] = $result;
    }
    return $values;
  }

}
