<?php

namespace Drupal\transform_api\Plugin\Transform\Field;

use Drupal\Core\Field\FieldItemInterface;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\transform_api\FieldTransformBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * @FieldTransform(
 *  id = "boolean",
 *  label = @Translation("Boolean"),
 *  field_types = {
 *    "boolean"
 *  }
 * )
 */
class BooleanTransform extends FieldTransformBase {

  public function transformElements(FieldItemListInterface $items, $langcode): array {
    $values = [];
    /** @var FieldItemInterface $item */
    foreach ($items as $delta => $item) {
      if (!empty($item->getValue())) {
        $values[] = boolval($item->getValue()['value'] ?? NULL);
      }
    }
    return $values;
  }

}
