<?php

namespace Drupal\transform_api\Plugin\Transform\Field;

use Drupal\Core\Field\FieldItemInterface;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Url;
use Drupal\transform_api\FieldTransformBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * @FieldTransform(
 *  id = "value",
 *  label = @Translation("Value"),
 *  field_types = {
 *    "string",
 *    "string_long",
 *    "list_string",
 *    "integer",
 *    "float",
 *    "telephone",
 *    "email"
 *  }
 * )
 */
class ValueTransform extends FieldTransformBase {

  public function transformElements(FieldItemListInterface $items, $langcode): array {
    $values = [];
    /** @var FieldItemInterface $item */
    foreach ($items as $delta => $item) {
      if (isset($item->getValue()['value'])) {
        $values[] = $item->getValue()['value'] ?? NULL;
      }
    }
    return $values;
  }

}
