<?php

namespace Drupal\transform_api\Routing;

use Symfony\Component\HttpFoundation\Request;

class TransformRouteEnhancer implements \Drupal\Core\Routing\EnhancerInterface {

  /**
   * @inheritDoc
   */
  public function enhance(array $defaults, Request $request) {
    if ($request->query->has('format') && strtoupper($request->query->get('format')) === 'JSON') {
      $defaults['_controller'] = '\Drupal\transform_api\Controller\RequestPathController::enhance';
      $defaults['url'] = $request->getPathInfo();
      $request->query->remove('format');
      $request->setRequestFormat('json');
      if ($request->query->has('region')) {
        $defaults['_controller'] .= 'Region';
        $defaults['region'] = $request->query->get('region');
        $request->query->remove('region');
      }
    }
    return $defaults;
  }

}
