<?php

namespace Drupal\transform_api\Transform;

class PagerTransform extends TransformBase {

  public function __construct($element = 0) {
    /** @var \Drupal\Core\Pager\PagerManagerInterface $pagerManager */
    $pagerManager = \Drupal::service('pager.manager');
    $pager = $pagerManager->getPager($element);
    if (empty($pager)) {
      $this->values = [];
    } else {
      $this->values = [
        'current' => strval($pager->getCurrentPage()),
        'limit' => strval($pager->getLimit()),
        'items' => strval($pager->getTotalItems()),
        'pages' => strval($pager->getTotalPages())
      ];
    }
  }

  public function setCurrentPage($current) {
    $this->setValue('current', $current);
  }

  public function setLimit($limit) {
    $this->setValue('limit', $limit);
  }

  public function setTotalItems($items) {
    $this->setValue('items', $items);
  }

  public function setTotalPages($pages) {
    $this->setValue('pages', $pages);
  }

  /**
   * @inheritDoc
   */
  public function getTransformType() {
    return 'pager';
  }

  /**
   * @inheritDoc
   */
  public function transform() {
    if (empty($this->values)) {
      return [];
    } else {
      return [
        'current' => intval($this->getValue('current')),
        'limit' => intval($this->getValue('limit')),
        'items' => intval($this->getValue('items')),
        'pages' => intval($this->getValue('pages'))
      ];
    }
  }

}
